org.apache.fop.pdf

## Class PDFStructElem.Placeholder

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.StructureHierarchyMember
      - - org.apache.fop.pdf.PDFStructElem
        - - org.apache.fop.pdf.PDFStructElem.Placeholder

- All Implemented Interfaces:
    Serializable, StructureTreeElement, PDFWritable
  Enclosing class:
    PDFStructElem

      public static class PDFStructElem.Placeholder
      extends PDFStructElem

  Class representing a placeholder for a PDF Structure Element.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.pdf.PDFStructElem

      `PDFStructElem.Placeholder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFStructElem

      `kids, parentElement`

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Placeholder(PDFObject parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputInline(OutputStream out, StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.

    - ### Methods inherited from class org.apache.fop.pdf.PDFStructElem

      `addKid, addKidInSpecificOrder, attachKids, getKids, getLanguage, getParentStructElem, getStructureType, output, setLanguage, setMCIDKid, setPage, setParent, setTableAttributeColSpan, setTableAttributeRowSpan, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Placeholder

          public Placeholder(PDFObject parent)

  - ### Method Detail

    - #### outputInline

          public void outputInline(OutputStream out,
                                   StringBuilder textBuffer)
                            throws IOException

      Description copied from class: `PDFObject`
      Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

      IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

      Specified by:
        `outputInline` in interface `PDFWritable`
      Overrides:
        `outputInline` in class `PDFObject`
      Parameters:
        `out` - the OutputStream (for binary content)
        `textBuffer` - the text buffer for text content
      Throws:
        `IOException` - if an I/O error occurs

Copyright © 2025 Apache Software Foundation. All rights reserved.